Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605181 - [abrt] crash in yumex-2.9.8-1.fc13: gui.py:138:find:TypeError: __init__() takes exactly 3 arguments (2 given)
[abrt] crash in yumex-2.9.8-1.fc13: gui.py:138:find:TypeError: __init__() tak...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:15e48f5c
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 07:21 EDT by Lawrence Graves
Modified: 2010-07-13 16:43 EDT (History)
38 users (show)

See Also:
Fixed In Version: yumex-2.9.9-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 16:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1024.00 KB, text/plain)
2010-06-17 07:21 EDT, Lawrence Graves
no flags Details

  None (edit)
Description Lawrence Graves 2010-06-17 07:21:37 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/share/yumex/yumex.pyc
component: yumex
executable: /usr/share/yumex/yumex.pyc
kernel: 2.6.33.5-112.fc13.x86_64
package: yumex-2.9.8-1.fc13
reason: gui.py:138:find:TypeError: __init__() takes exactly 3 arguments (2 given)
release: Fedora release 13 (Goddard)
Comment 1 Lawrence Graves 2010-06-17 07:21:40 EDT
Created attachment 424770 [details]
File: backtrace
Comment 2 Tim Lauridsen 2010-06-19 01:28:28 EDT
Ok, I can see what goes wrong here, fixed upstream
Comment 3 Steven Oliphant 2010-06-24 09:58:57 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. start yum - let it complete initialization
2. click on available packages
3.search for a package (I searched for quickly)


Comment
-----
I was trying to see if quickly had a package for Fedora (linux journal - July 2010 - page 66)
Comment 4 Nick Stoughton 2010-06-24 12:58:26 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open yumex
2. Search for "tip"
3. Search for "cu"
Comment 5 Peter Trenholme 2010-06-25 16:25:42 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start yumex
2.type a search term in the search line and press enter
3.
Comment 6 Ty Talmadge 2010-06-26 09:52:12 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open yum select all updates.
2. add pidgin to install / updates list
3. hit apply
4. note the missing libedataserver* message.
5. try to search for libedataserver.
6. observe crash.
Comment 7 Petr Kloutvor 2010-06-26 12:03:27 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.launch yumex
2.
3.
Comment 8 Jeff B 2010-06-27 13:05:39 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open Yum
2. open available packeges
3.search for "sound"


Comment
-----
I searched for "sound" in the available packages
Comment 9 Emmett Culley 2010-06-27 16:26:12 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Type search term and hit enter.  Yumex stayed up on the screen, but it was unresponsive.
Comment 10 GJahchan 2010-06-27 16:53:12 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Cancelled update
2.Hibernated system
3.Woke system up from hibernation
4.Yumex crashed, with 100% CPU utilization


Comment
-----
Repeat the steps above.
Comment 11 Niki 2010-06-27 20:36:22 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Selected "available" packages
2.Searched for the word "source"
3.
Comment 12 Fehmi Demiralp 2010-06-30 04:35:21 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. lunch yumex
2. type "rar" into the search box
3. and press "enter"


Comment
-----

I am not sure it can be reproduced on another machine.
It may depends the yum repositories I have subscribed.
Comment 13 antonio montagnani 2010-06-30 08:06:12 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just started yumex
2.filtering all packages 
3.
Comment 14 Joshua Rosen 2010-07-03 05:05:46 EDT
I have the adobe, google and fusion repositories. It happened when I searched for the word adobe, other searches didn't cause the problem but the word adobe did it every time.
Comment 15 Kevin 2010-07-03 11:29:29 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.use search
2.
3.
Comment 16 Judson Wallace 2010-07-03 11:40:10 EDT
I dont know if im supposed to comment on here or not , but i got it whenever i searched "gnome"

i was just looking into a gnome-applet crash (the one where clicking on preferences, under the workspace switcher crashes), and then yumex crashed... 

im a noob... but could the two be related? both seemed to have happened after i had a really big update the other day... sorry if im posting in the wrong place
Comment 17 Orod Moeini 2010-07-05 09:41:30 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. run yumex and install packeges after upgrade from f12 to f13
2.
3.
Comment 18 Daniel Demus 2010-07-06 03:06:36 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.. 
3.


Comment
-----
Searching for the term "browser" in yumex. I notice that text in the ABRT reporter is also jumbled.
Comment 19 Fedora Update System 2010-07-06 04:28:45 EDT
yumex-2.9.9-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yumex-2.9.9-1.fc13
Comment 20 Steven F. LeBrun 2010-07-06 09:22:12 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
After downloading and install the current set of updates, I entered "dvd" into the search box and hit the return key.  At this point yumex crashed.
Comment 21 Fedora Update System 2010-07-06 13:13:10 EDT
yumex-2.9.9-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yumex-2.9.9-1.fc13
Comment 22 Fedora Update System 2010-07-07 03:50:47 EDT
yumex-2.9.9-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yumex-2.9.9-2.fc13
Comment 23 Boricua 2010-07-07 07:51:03 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start Yumex.
2. Search for "email" using the search tool.
3. Yumex crashes.


Comment
-----
I just ran Yumex as usual when it started crashing.
Comment 24 Fedora Update System 2010-07-07 13:51:55 EDT
yumex-2.9.9-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yumex-2.9.9-2.fc13
Comment 25 Oswaldo 2010-07-07 15:27:04 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. search "ice"
2.
3.
Comment 26 Vincenzo 2010-07-08 10:07:14 EDT
[message written reverso.net]

How to reproduce:
1. I have made a search with a word of three letters.
(and I had open google chrome)

A word of three letters perhaps produces an elevated number of results that produces a crash.
Comment 27 angrydad4602 2010-07-08 14:00:09 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Search for a package in Yumex. Happens every time.
Comment 28 bkim31 2010-07-09 16:23:06 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Adding software using yumex
2.
3.
Comment 29 Tim Lauridsen 2010-07-10 02:37:10 EDT
Please test with the current release in testing, it should fix this issue.

su -c 'yum --enablerepo=updates-testing update yumex'
Comment 30 jian jiao 2010-07-10 22:25:34 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Search "gtk"
2.
3.
Comment 31 Tim Lauridsen 2010-07-11 02:34:32 EDT
Me wonders if anybody is reading the comments before adding new ones :)
Comment 32 Sean 2010-07-11 09:13:17 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
New install of Fedora 13.  Starting to restall my apps using yumex
serached for adobe and it bombed
Comment 33 Ed 2010-07-11 20:16:03 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Applications > System Tools > Yum Extender
2.type oos in the search field
3.crash


Comment
-----
i opened yumex and started a search for oss and yumex crashed
Comment 34 steveshenk 2010-07-12 09:51:06 EDT
Package: yumex-2.9.8-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start yumex and search for adobe
2.
3.


Comment
-----
Every time I search for "adobe" yumex crashes. Searching for flash, for example, and a few other key words did not crash it.
Comment 35 Ameya Gore 2010-07-12 19:15:59 EDT
Package: yumex-2.9.8-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open yumex
2. Search for "Adobe".
Comment 36 Fedora Update System 2010-07-13 16:43:24 EDT
yumex-2.9.9-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.